import { expect } from 'chai';
import { getBase64FileSize } from '~/helpers/stringHelpers';
import 'mocha';

const file100kbBase64 =
  '[encoded data, 133336 characters]';
function stringHelpersTests() {
  describe('getBase64FileSize', () => {
    it('will return 100kb', () => {
      const result = getBase64FileSize(file100kbBase64);
      expect(result).eq(100 * 1000);
    });
  });
}

export function stringHelperTest() {
  describe('stringHelpers.test', stringHelpersTests);
}
